Microsoft Azure Service Bus Anypoint&trade; Connector Demo - Queue CRUD
=================================================================

## Introduction

The present demo application provides a **complete workflow** to create, modify and delete a Queue on Microsoft Azure ServiceBus.

## Prerequisites

* Java 8
* Anypoint Studio 6.x
* Mule Runtime 3.7.x EE or higher
* DataWeave
* Microsoft Azure ServiceBus instance & credentials

## Deploy Demo

### Import the project

* Go to **File > Import**.
* Select **Anypoint Studio Project from External Location** (under the parent folder "Anypoint Studio").
* Provide the root **path to the demo** project folder.
* Select **Mule Runtime (3.8.2 EE)**.
* Click **Finish**.
* Fill **Azure Credentials** on mule-app.properties file located in src/main/app.
* Open the **Global Element Configuration**.
* Click the **Test Connection** button to ensure there is connectivity with the sandbox. A successful message should pop-up.
* Run project.
* Open a browser and access the URL **http://localhost:8081/**. You should see the demo application deployed.


## Run the Demo

### CRUD flow

* Fill the **Name** field on Create form then, click on **Create**.
* A pop-up with **Queue created** message will appear. Click **OK**.
* Update form with **Name** and **Lock Duration** (Value that we want to update) filled will appear. Click **Update**
* A pop-up with **Queue updated** message will appear. Click **OK**.
* Delete form with **Name** filled will appear. Click **Delete**.
* A pop-up with **Queue deleted** message will appear. Click **OK**.
